com.pixelmed.test

## Class TestCodedSequenceItemParseStringTuple

- java.lang.Object
- - TestCase
  - - com.pixelmed.test.TestCodedSequenceItemParseStringTuple

-     public class TestCodedSequenceItemParseStringTuple
      extends TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestCodedSequenceItemParseStringTuple(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `static Test` | `suite()`
    `protected void` | `tearDown()`
    `void` | `TestCodedSequenceItemParseStringTuple_Four_LeadingAndTrailingSpaces()`
    `void` | `TestCodedSequenceItemParseStringTuple_Four_QuotesAroundEverything()`
    `void` | `TestCodedSequenceItemParseStringTuple_Four()`
    `void` | `TestCodedSequenceItemParseStringTuple_Three_LeadingAndTrailingSpaces()`
    `void` | `TestCodedSequenceItemParseStringTuple_Three_NoQuotesAroundMeaning()`
    `void` | `TestCodedSequenceItemParseStringTuple_Three_QuotesAroundEverything()`
    `void` | `TestCodedSequenceItemParseStringTuple_Three()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestCodedSequenceItemParseStringTuple

          public TestCodedSequenceItemParseStringTuple(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### setUp

          protected void setUp()

    - #### tearDown

          protected void tearDown()

    - #### TestCodedSequenceItemParseStringTuple_Three

          public void TestCodedSequenceItemParseStringTuple_Three()
                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCodedSequenceItemParseStringTuple_Three_NoQuotesAroundMeaning

          public void TestCodedSequenceItemParseStringTuple_Three_NoQuotesAroundMeaning()
                                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCodedSequenceItemParseStringTuple_Three_QuotesAroundEverything

          public void TestCodedSequenceItemParseStringTuple_Three_QuotesAroundEverything()
                                                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCodedSequenceItemParseStringTuple_Three_LeadingAndTrailingSpaces

          public void TestCodedSequenceItemParseStringTuple_Three_LeadingAndTrailingSpaces()
                                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCodedSequenceItemParseStringTuple_Four

          public void TestCodedSequenceItemParseStringTuple_Four()
                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCodedSequenceItemParseStringTuple_Four_QuotesAroundEverything

          public void TestCodedSequenceItemParseStringTuple_Four_QuotesAroundEverything()
                                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCodedSequenceItemParseStringTuple_Four_LeadingAndTrailingSpaces

          public void TestCodedSequenceItemParseStringTuple_Four_LeadingAndTrailingSpaces()
                                                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`